Bug 17076 - Format fines in patron search results table (staff client)
Summary: Format fines in patron search results table (staff client)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-08 09:32 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17076 - Format fines in patron search results table (2.20 KB, patch)
2016-08-08 09:39 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17076 - Format fines in patron search results table (2.31 KB, patch)
2016-08-08 13:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17076 - Format fines in patron search results table (2.32 KB, patch)
2016-08-09 09:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-08-08 09:32:33 UTC
Format the values in patron search results following syspref CurrencyFormat.

To verify:
- Search for patrons who have fines or credits
- In result table, column 'Fines' does not respect syspref CurrencyFormat 
  (e.g. for FR)
Comment 1 Marc Véron 2016-08-08 09:39:59 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-08 13:06:07 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-09 09:28:37 UTC
Created attachment 54186 [details] [review]
Bug 17076 - Format fines in patron search results table

Format the values in patron search results following syspref CurrencyFormat.

To verify:
- Search for patrons who have fines or credits
- In result table, column 'Fines' does not respect syspref CurrencyFormat
  (e.g. for FR)

To test:
- Apply patch
- Repeat steps above, verify that fines display as appropriate
- Change syspref Currencyformat, verify display

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-08-10 14:09:02 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-23 10:09:04 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-24 09:20:45 UTC
Pushed to 3.22.x, will be in 3.22.10